Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 772)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 773)
@@ -3,11 +3,17 @@
  */
 package org.txm.progression.rcp.editors;
 
+import java.io.File;
+import java.io.FileNotFoundException;
+import java.io.IOException;
+import java.io.UnsupportedEncodingException;
 import java.util.ArrayList;
 import java.util.List;
+import java.util.Properties;
 
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.custom.ScrolledComposite;
+import org.eclipse.swt.events.KeyEvent;
 import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.events.SelectionListener;
 import org.eclipse.swt.layout.GridData;
@@ -15,6 +21,7 @@
 import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Event;
+import org.eclipse.swt.widgets.FileDialog;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Listener;
 import org.eclipse.swt.widgets.Text;
@@ -30,12 +37,14 @@
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.listeners.ComputeKeyListener;
 import org.txm.rcp.editors.listeners.ComputeSelectionListener;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.widget.AssistedQueryWidget;
 import org.txm.rcp.swt.widget.structures.StructuralUnitPropertiesComboViewer;
 import org.txm.rcp.swt.widget.structures.StructuralUnitsComboViewer;
 import org.txm.rcp.swt.widget.structures.StructuralUnitsCombosGroup;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.utils.io.IOUtils;
 import org.txm.utils.logger.Log;
 
 /**
@@ -120,10 +129,12 @@
 	@Parameter(key=ProgressionPreferences.REPEAT_SAME_VALUES)
 	protected Button repeatSameValues;
 
+	private AssistedQueryWidget queryWidget;
 
 
 
 
+
 	@Override
 	public void __createPartControl(Composite parent) {
 
@@ -167,8 +178,29 @@
 
 
 		try {
+			// Query:
+			getMinimalParametersComposite().getLayout().numColumns = 2;
+			// make
+			getMinimalParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
+			
+			Label queryLabel = new Label(getMinimalParametersComposite(), SWT.NONE);
+			queryLabel.setText("Add query");
+			queryLabel.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
 
-
+			// [ (v)]
+			// queryWidget = new QueryWidget(queryArea, SWT.DROP_DOWN);
+			queryWidget = new AssistedQueryWidget(getMinimalParametersComposite(), SWT.DROP_DOWN, getResult().getCorpus());
+			queryWidget.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, false));
+			queryWidget.addKeyListener(new ComputeKeyListener(this) {
+				@Override
+				public void keyPressed(KeyEvent e) {
+					if (e.keyCode == SWT.CR || e.keyCode == SWT.KEYPAD_CR) {
+						onPlusButtonPressed(null, queryWidget.getQueryString());
+						super.keyPressed(e);
+					}
+				}
+			});
+			
 			// System.out.println(parent.getLayout());
 			Composite mainPanel = this.getCommandParametersGroup();
 			GridData gridData = new GridData(GridData.FILL, GridData.FILL, true, true);
@@ -289,22 +321,29 @@
 			// add query button
 			Button plusButton = new Button(queriesFocusComposite, SWT.NONE);
 			plusButton.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
-			plusButton.setText(ProgressionUIMessages.ProgressionDialog_9);
+			plusButton.setText("Add multiple queries...");
 
 			plusButton.addListener(SWT.Selection, new Listener() {
 				@Override
 				public void handleEvent(Event event) {
-					if (colors.length > queryWidgets.size()) {
-						Log.info("add query field");
-						addFocusQueryField();
-						sc1.layout(true);
-						queriesFocusComposite.layout(true);
-						sc1.setMinSize(queriesFocusComposite.computeSize(SWT.DEFAULT, SWT.DEFAULT));
+					FileDialog dialog = new FileDialog(event.display.getActiveShell(), SWT.OPEN);
+					dialog.setText("Select a UTF-8 property file");
+					String path = dialog.open();
+					if (path != null) {
+						Properties props = new Properties();
+						try {
+							props.load(IOUtils.getReader(new File(path)));
+							for (Object k : props.keySet()) {
+								onPlusButtonPressed(event, props.get(k).toString());
+							}
+						} catch (Exception e) {
+							// TODO Auto-generated catch block
+							e.printStackTrace();
+						}
 					}
 				}
 			});
 
-
 		} catch (Exception e) {
 			Log.printStackTrace(e);
 		}
@@ -312,9 +351,18 @@
 
 	}
 
+	public void onPlusButtonPressed(Event event, String defaultValue) {
+		if (colors.length > queryWidgets.size()) {
+			Log.info("add query field");
+			QueryField qf = addFocusQueryField();
+			if (qf != null) qf.setQuery(defaultValue);
+			sc1.layout(true);
+			queriesFocusComposite.layout(true);
+			sc1.setMinSize(queriesFocusComposite.computeSize(SWT.DEFAULT, SWT.DEFAULT));
+		}
+	}
 
 
-
 	/**
 	 * 
 	 * @author mdecorde
@@ -426,7 +474,7 @@
 
 		// create the queries fields
 		if (queries == null) {
-			addFocusQueryField();
+			//addFocusQueryField();
 		}
 		else {
 			for (Query q : queries) {
